Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.log
Class JavaLogger

    java.lang.Object
      org.richfaces.log.JavaLogger

All Implemented Interfaces:
  Logger

    public class JavaLogger

extends java.lang.Object
implements Logger

That logger delegates all calls to the JDK `Logger`

Author:
  asmirnov@exadel.com, nick

Nested Class Summary

Nested classes/interfaces inherited from interface org.richfaces.log.Logger
`Logger.Level`

Field Summary
`static java.lang.String` | `RICHFACES_LOG`

Method Summary
`void` | `debug(java.lang.CharSequence content)`
`void` | `debug(java.lang.CharSequence content, java.lang.Throwable thrown)`
`void` | `debug(java.lang.Enum<?> messageKey, java.lang.Object... args)`
`void` | `debug(java.lang.Throwable thrown)`
`void` | `debug(java.lang.Throwable error, java.lang.Enum<?> messageKey, java.lang.Object... args)`
`void` | `error(java.lang.CharSequence content)`
`void` | `error(java.lang.CharSequence content, java.lang.Throwable thrown)`
`void` | `error(java.lang.Enum<?> messageKey, java.lang.Object... args)`
`void` | `error(java.lang.Throwable thrown)`
`void` | `error(java.lang.Throwable error, java.lang.Enum<?> messageKey, java.lang.Object... args)`
`void` | `info(java.lang.CharSequence content)`
`void` | `info(java.lang.CharSequence content, java.lang.Throwable thrown)`
`void` | `info(java.lang.Enum<?> messageKey, java.lang.Object... args)`
`void` | `info(java.lang.Throwable thrown)`
`void` | `info(java.lang.Throwable error, java.lang.Enum<?> messageKey, java.lang.Object... args)`
`boolean` | `isDebugEnabled()`
`boolean` | `isErrorEnabled()`
`boolean` | `isInfoEnabled()`
`boolean` | `isLogEnabled(Logger.Level level)`
`boolean` | `isWarnEnabled()`
`void` | `log(Logger.Level level, java.lang.CharSequence content)`
`void` | `log(Logger.Level level, java.lang.CharSequence content, java.lang.Throwable thrown)`
`void` | `log(Logger.Level level, java.lang.Enum<?> messageKey, java.lang.Object... args)`
`void` | `log(Logger.Level level, java.lang.Throwable thrown)`
`void` | `log(Logger.Level level, java.lang.Throwable thrown, java.lang.Enum<?> messageKey, java.lang.Object... args)`
`void` | `warn(java.lang.CharSequence content)`
`void` | `warn(java.lang.CharSequence content, java.lang.Throwable thrown)`
`void` | `warn(java.lang.Enum<?> messageKey, java.lang.Object... args)`
`void` | `warn(java.lang.Throwable thrown)`
`void` | `warn(java.lang.Throwable error, java.lang.Enum<?> messageKey, java.lang.Object... args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RICHFACES_LOG

    public static final java.lang.String RICHFACES_LOG

See Also:
  Constant Field Values

Method Detail

### isDebugEnabled

    public boolean isDebugEnabled()

  Description copied from interface: `Logger`

  Specified by:
    `isDebugEnabled` in interface `Logger`
  Returns:

### debug

    public void debug(java.lang.CharSequence content)

  Description copied from interface: `Logger`

  Specified by:
    `debug` in interface `Logger`

### debug

    public void debug(java.lang.Enum<?> messageKey,
                      java.lang.Object... args)

  Description copied from interface: `Logger`

  Specified by:
    `debug` in interface `Logger`

### debug

    public void debug(java.lang.CharSequence content,
                      java.lang.Throwable thrown)

  Description copied from interface: `Logger`

  Specified by:
    `debug` in interface `Logger`

### debug

    public void debug(java.lang.Throwable error,
                      java.lang.Enum<?> messageKey,
                      java.lang.Object... args)

  Description copied from interface: `Logger`

  Specified by:
    `debug` in interface `Logger`

### debug

    public void debug(java.lang.Throwable thrown)

  Description copied from interface: `Logger`

  Specified by:
    `debug` in interface `Logger`

### isInfoEnabled

    public boolean isInfoEnabled()

  Description copied from interface: `Logger`

  Specified by:
    `isInfoEnabled` in interface `Logger`
  Returns:

### info

    public void info(java.lang.CharSequence content)

  Description copied from interface: `Logger`

  Specified by:
    `info` in interface `Logger`

### info

    public void info(java.lang.Enum<?> messageKey,
                     java.lang.Object... args)

  Description copied from interface: `Logger`

  Specified by:
    `info` in interface `Logger`

### info

    public void info(java.lang.CharSequence content,
                     java.lang.Throwable thrown)

  Description copied from interface: `Logger`

  Specified by:
    `info` in interface `Logger`

### info

    public void info(java.lang.Throwable error,
                     java.lang.Enum<?> messageKey,
                     java.lang.Object... args)

  Description copied from interface: `Logger`

  Specified by:
    `info` in interface `Logger`

### info

    public void info(java.lang.Throwable thrown)

  Description copied from interface: `Logger`

  Specified by:
    `info` in interface `Logger`

### isWarnEnabled

    public boolean isWarnEnabled()

  Description copied from interface: `Logger`

  Specified by:
    `isWarnEnabled` in interface `Logger`
  Returns:

### warn

    public void warn(java.lang.CharSequence content)

  Description copied from interface: `Logger`

  Specified by:
    `warn` in interface `Logger`

### warn

    public void warn(java.lang.Enum<?> messageKey,
                     java.lang.Object... args)

  Description copied from interface: `Logger`

  Specified by:
    `warn` in interface `Logger`

### warn

    public void warn(java.lang.CharSequence content,
                     java.lang.Throwable thrown)

  Description copied from interface: `Logger`

  Specified by:
    `warn` in interface `Logger`

### warn

    public void warn(java.lang.Throwable error,
                     java.lang.Enum<?> messageKey,
                     java.lang.Object... args)

  Description copied from interface: `Logger`

  Specified by:
    `warn` in interface `Logger`

### warn

    public void warn(java.lang.Throwable thrown)

  Description copied from interface: `Logger`

  Specified by:
    `warn` in interface `Logger`

### isErrorEnabled

    public boolean isErrorEnabled()

  Description copied from interface: `Logger`

  Specified by:
    `isErrorEnabled` in interface `Logger`
  Returns:

### error

    public void error(java.lang.CharSequence content)

  Description copied from interface: `Logger`

  Specified by:
    `error` in interface `Logger`

### error

    public void error(java.lang.Enum<?> messageKey,
                      java.lang.Object... args)

  Description copied from interface: `Logger`

  Specified by:
    `error` in interface `Logger`

### error

    public void error(java.lang.CharSequence content,
                      java.lang.Throwable thrown)

  Description copied from interface: `Logger`

  Specified by:
    `error` in interface `Logger`

### error

    public void error(java.lang.Throwable error,
                      java.lang.Enum<?> messageKey,
                      java.lang.Object... args)

  Description copied from interface: `Logger`

  Specified by:
    `error` in interface `Logger`

### error

    public void error(java.lang.Throwable thrown)

  Description copied from interface: `Logger`

  Specified by:
    `error` in interface `Logger`

### isLogEnabled

    public boolean isLogEnabled(Logger.Level level)

  Description copied from interface: `Logger`

  Specified by:
    `isLogEnabled` in interface `Logger`
  Returns:

### log

    public void log(Logger.Level level,
                    java.lang.CharSequence content)

  Description copied from interface: `Logger`

  Specified by:
    `log` in interface `Logger`

### log

    public void log(Logger.Level level,
                    java.lang.Enum<?> messageKey,
                    java.lang.Object... args)

  Description copied from interface: `Logger`

  Specified by:
    `log` in interface `Logger`

### log

    public void log(Logger.Level level,
                    java.lang.CharSequence content,
                    java.lang.Throwable thrown)

  Description copied from interface: `Logger`

  Specified by:
    `log` in interface `Logger`

### log

    public void log(Logger.Level level,
                    java.lang.Throwable thrown,
                    java.lang.Enum<?> messageKey,
                    java.lang.Object... args)

  Description copied from interface: `Logger`

  Specified by:
    `log` in interface `Logger`

### log

    public void log(Logger.Level level,
                    java.lang.Throwable thrown)

  Description copied from interface: `Logger`

  Specified by:
    `log` in interface `Logger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.